Ben
Burton
12. April 2003
kapptemplate
1

# `kapptemplate`

Erzeugt ein Grundgerüst für die Entwicklung einer KDE-Anwendung

    kapptemplate --noinit --default --full-app --kpart-app --kpart-plugin --existing --help

## Beschreibung

Das Shell-Skript `kapptemplate` erzeugt das nötige Grundgerüst für verschiedene &kde;-Anwendungen. Dabei kümmert es sich um autoconf/automake-Code und erzeugt eine Grundversion des Programms mit einem Beispiel, wie eine entsprechenden Anwendung aussehen könnte.

Dieses Werkzeug ist ein Teil des &kde; Software-Entwicklungs-Kit.

## Optionen

### Allgemeine Optionen

`--help`

  Zeigt eine vollständige Zusammenfassung der Optionen an.

`--no-init`

  Führt nicht `make` `-f` `Makefile.cvs`

`--default`

  Benutzt die Voreinstellungen anstatt nachzufragen

### Vorlagen-Arten

`--full-app`

  Erzeugt eine voll funktionsfähige KDE-Anwendung.

`--kpart-app`

  Erzeugt eine voll funktionsfähige einbettungsfähige KDE-Komponente

`--kpart-plugin`

  Erzeugt ein KPart-Modul-Grundgerüst

`--existing`

  Wandelt bestehenden Code in das automake/autoconf KDE-Grundgerüst um

## Dateien

`~/.kapptemplate`

  Enthält Voreinstellungen

## Siehe auch

`$PREFIX/share/doc/kapptemplate`

## Autoren

`kapptemplate` wurde entwickelt von &Kurt.Granroth; &Kurt.Granroth.mail;

Diese Handbuchseite wurde geschrieben bon Ben Burton bab@debian.org